package basic;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;


     
public class Join {

  public static void main(String args[]) {
      
    String url = "jdbc:mysql://localhost:3306/jdbcTest";
    Connection con;
    String query = "select firstname, lastname, place, street " +
             "from person, address " +
             "where person.ID = address.personID";
    Statement stmt;
  
    try {
      Class.forName("com.mysql.jdbc.Driver");

    } catch(java.lang.ClassNotFoundException e) {
      System.err.print("ClassNotFoundException: ");
      System.err.println(e.getMessage());
    }
  
    try {
      con = DriverManager.getConnection (url, 
                   "root", "root");
  
      stmt = con.createStatement();              
  
      ResultSet rs = stmt.executeQuery(query);
      while (rs.next()) {
        String firstname = rs.getString(1);
        String lastname = rs.getString(2);
        String place = rs.getString(3);
        String street = rs.getString(4);
        System.out.println("  " + lastname + " " + firstname +
        		": " + place + ", " + street );
      }
      rs.close();
      stmt.close();
      con.close();

    } catch(SQLException ex) {
      System.err.print("SQLException: ");
      System.err.println(ex.getMessage());
    }  
  }
}

